Bug Hunting Session
Bug 59613 - RTL VIEWING: Increasing size of dialogs to right or bottom causes artifacts
Summary: RTL VIEWING: Increasing size of dialogs to right or bottom causes artifacts
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: Other Windows (All)
: highest normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: mab4.2
  Show dependency treegraph
 
Reported: 2013-01-20 08:52 UTC by Rainer Bielefeld Retired
Modified: 2014-12-17 07:24 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshots (172.72 KB, image/png)
2013-01-20 08:52 UTC, Rainer Bielefeld Retired
Details
RTL window artifacts (28.03 KB, image/png)
2014-12-16 13:48 UTC, Andras Timar
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2013-01-20 08:52:59 UTC
Created attachment 73322 [details]
Screenshots

Steps how to reproduce [Reproducible] with parallel installation of  "LO  4.0.0.1 rc   -  Hebrew UI / German Locale  [Build ID: 527dba6f6e0cfbbc71bd6e7b88a52699bb48799)]"  {tinderbox: @6, pull time 2013-01-10(?)} on German WIN7 Home Premium (64bit) with separate /40 User Profile for Master Branch:

0. Launch libo
1. Launch new Draw Document from LibO start center
2. draw a shape
3. Select shape
4. Menu 'File -> Export -> Selecteion -> As PNG -> <Export>
   > PNG Potions Dialog appears
5. Move mouse pointer to right end of dialog
   > Mouse pointer view changes to "<->"
6. Drag and drop right dialog border slowly 40mm to the right
   Bug: some black barcode like artivacts appear, additionally other black
        areas and other artifacts

These problems also are visible in LTR UI, but here the problems are much smaller and mostly disappear short moments after mouse button has been released.

For RTL the new "resizable dialogs" feature becomes more or less unusable, so MAB

I did not find settings (Hardware acceleration, ...) with influence to this problem.
Comment 1 Joel Madero 2013-01-25 19:37:30 UTC
Not reproducible on Linux, marking as NEW for Windows.
Comment 2 Caolán McNamara 2013-01-30 10:03:27 UTC
I can reproduce this under windows with lang he. FWIW the LibO file-picker hasn't been converted to .ui format, so the problem is not confined to recently-converted-to-be-resizeable dialogs, but apparently all resizeable dialogs.
Comment 3 Caolán McNamara 2013-01-30 11:47:09 UTC
also appears with 3.6.4.3 with export SAL_RTL_ENABLED=1 under windows with LibreOffice (not native) filedialog.
Comment 4 Joel Madero 2013-01-30 16:56:08 UTC
Rainer - think we should change version to reflect Caolan's findings?
Comment 5 Rainer Bielefeld Retired 2013-01-30 17:20:12 UTC
(In reply to comment #4)
Yes, of course! 

For file dialogs:
Already [Reproducible] with Server Installation of "LibreOffice 3.6.5.1 rc” Arabic UI/ German Locale [Build-ID: 5b93205]" {pull date 2013-01-18} on WIN7 Home Premium (64bit) for Files dialog (not so many resizable dialogs in 3.6)

Already [Reproducible] with server installation of "LibreOffice 3.5.7.2 rc Arabic UI/German Locale [Build-ID: 3215f89-f603614-ab984f2-7348103-1225a5b] on German WIN7 Home Premium (64bit) 

Question is whether this now is a 3.6 MAB. I don't think so. Might be limited for File dialog for those older versions and so the big problem starts with 4.0!
Comment 6 Joel Madero 2013-01-30 17:25:55 UTC
any idea which developer we need to bug to look into this? I'm not sure who is responsible for Windows let alone dialogs like this
Comment 7 Rainer Bielefeld Retired 2013-01-30 22:08:13 UTC
Caolán:
Will you proceed or is it Kendy's area?
Comment 8 Caolán McNamara 2013-01-31 11:05:06 UTC
seems to affect RTL dialog resizing all the way back to 3.3
Comment 9 Björn Michaelsen 2014-01-17 09:58:45 UTC
(This is an automated message.)

Setting priority to highest as this is a 4.0 MAB. This is part of an effort to make the importance of MAB reflected in priority too.
Comment 10 stragu 2014-02-13 23:06:51 UTC
Could someone please test this with 4.1 and/or 4.2 to see if it still occurs?
Comment 11 tommy27 2014-02-28 04:11:34 UTC
I received email confirmation from Andras Timar that this bug is still present in 4.1.x and 4.2.x.  moving from mab4.0 to mab4.1 list.
Comment 12 tommy27 2014-05-12 19:51:24 UTC
that message was from february 2014, would anybody please give an update with current 4.2.4.2?

if issue persists I'll move it to mab4.2 list
Comment 13 Joel Madero 2014-06-05 05:06:11 UTC
Moving to 4.2 mab since it was confirmed on the QA mailing list by Timar Andras
Comment 14 tommy27 2014-06-05 05:21:23 UTC
I copy and paste mailing list comment from Andras Timar which may help reproducing the bug.

.........

Yes, fdo#59613 is reproducible in 4.2 builds. It is very easy to check
it, you don't need RTL operating system or RTL UI language. Just set
the SAL_RTL_ENABLED environment variable before staring libreoffice.

Windows: start cmd, the command prompt in the 'program' directory of
LibreOffice.
> set SAL_RTL_ENABLED=1
> soffice

Linux:
$ SAL_RTL_ENABLED=1 /path/to/libreoffice/program/soffice

You'll have an English RTL UI.

Best regards,
Andras
Comment 15 Pedro 2014-06-05 09:21:51 UTC
Not reproducible with RTL (following Andras' instructions) using English UI and Portuguese Locale. Running LO 4.2.5.1 under Windows XP.

It is weird enough to use RTL with English UI. I don't dare to try Arabic or Hebrew. Sorry ;)

This is WORKSFORME but it would be better if Caolan could replicate what he did to confirm the bug. I find it unlikely that it fixed itself within branch 4.2...
Comment 16 Pedro 2014-06-05 09:28:37 UTC
Adding to the previous Comment (it is absurd that Bugzilla does not allow to edit your own comments...)

Looking at the screenshot added by Rainer, I can confirm there is a delay (many borders are drawn) when stretching the "PNG Options" dialog (but it looks ok when you release the mouse button). But the point is that the dialog should NOT be re-sizable at all!
Comment 17 tommy27 2014-11-29 17:46:25 UTC
please retest with 4.3.x or 4.4.x versions.
if issue persists, please move it to mab4.3 list since 4.2.x is EOL
Comment 18 Robinson Tryon (qubit) 2014-12-14 04:30:30 UTC
TESTING with LO 4.3.5.1 on Ubuntu 14.04

(In reply to Rainer Bielefeld Retired from comment #0)
> Steps how to reproduce

(In reply to tommy27 from comment #14)
> set the SAL_RTL_ENABLED environment variable before staring libreoffice.
> 
> Windows: start cmd, the command prompt in the 'program' directory of
> LibreOffice.
> > set SAL_RTL_ENABLED=1
> > soffice
> 
> Linux:
> $ SAL_RTL_ENABLED=1 /path/to/libreoffice/program/soffice

In bash I used:
  export SAL_RTL_ENABLED=1
Then I ran the executable

> 1. Launch new Draw Document from LibO start center
> 2. draw a shape

I drew a star

> 3. Select shape
> 4. Menu 'File -> Export -> Selection -> As PNG -> <Export>

In the last step I clicked the "Save" button.

--> PNG Options Dialog will appear

> 5. Move mouse pointer to right end of dialog

Right edge?

>    > Mouse pointer view changes to "<->"

I'm sure this varies by WM (I get a pointer "->|" in Unity)

> 6. Drag and drop right dialog border slowly 40mm to the right
>    Bug: some black barcode like artivacts appear, additionally other black
>         areas and other artifacts

I see what appears like slow redraw of the right-hand edge border, but once I stop moving or release the mouse, the dialog repaints correctly.

> These problems also are visible in LTR UI, but here the problems are much
> smaller and mostly disappear short moments after mouse button has been
> released.

Yes, this description much more closely matches the behavior I see.

Same result when testing against LO 4.2.0.1

NOREPRO here. Let's test again on Windows before we resolve as WFM.
Comment 19 Buovjaga 2014-12-15 11:05:09 UTC
No repro on Win 7, 4.3.4.1 -> WFM.
Comment 20 Andras Timar 2014-12-16 13:48:41 UTC
Created attachment 110905 [details]
RTL window artifacts

I don't think it's fixed, maybe just not that bad as it was.
Comment 21 tommy27 2014-12-16 15:45:17 UTC
indeed, not so annoying like Reiner's original screenshot but still non perfect...
by the way Andras, which version did you use?

what should we do now? Reverting the status to NEW or create a brand new report with new easy reproducibility steps about the residual issue?
Comment 22 Buovjaga 2014-12-17 07:24:14 UTC
I got the idea that maybe I didn't get the artifacts because I did not have visual effects enabled. I tried again with them, but could not get the artifacts to appear (with Hebrew UI).